<%@ page language="C#" autoeventwireup="true" inherits="general_SystemManage_TranClient, CrmCommand" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head" runat="server">
    <title>转移客户</title>
    		<script>
function CheckForm()
{
	
   if(document.Form1.TxtOldName.value == "" || document.Form1.TxtNewName.value == "")
   {
	 alert("转移人员不能为空！");
	 document.Form1.TxtOldName.focus();
	 return (false);
   }   
   return confirm('确定要将['+document.Form1.TxtOldName.value+']的所有客户转移到['+document.Form1.TxtNewName.value+']吗?');
}
   function ShowWin(key)
   {

           var R=  window.showModalDialog("SelectUser.aspx","newwindow","dialogWidth=300px;dialogHeight=600px");
           
              if(R != null)
              {
                  var k =R.split('|')
                 if(key=='1')
                 {
             
                 document.getElementById("TxtOldName").value=k[1];
                 document.getElementById("HidOld").value=k[0];
                 }
                 else
                 {
                      document.getElementById("TxtNewName").value=k[1];
                    document.getElementById("HidNew").value=k[0];
                 }  
              }
             
               
       
       return false;
   
   }
		</script>
</head>
<body　class="bodycolor" topmargin="5">
    <form id="Form1" runat="server">
   <table border="0" width="100%" cellspacing="0" cellpadding="3" class="small">
					<tr>
						<td class="Big">
						<img src="../images/notify_new.gif" WIDTH="18" HEIGHT="18" align="absMiddle"><span class="big3">
								&nbsp;转移客户</span>
						</td>
					</tr>
				</table>
				<TABLE class="small" cellSpacing="1" cellPadding="3" width="450" align="center" bgColor="#000000">
					
					<TR>
						<TD class="TableData" noWrap>转移客户的原跟踪人员：</TD>
						<TD class="TableData" noWrap>
							<asp:TextBox id="TxtOldName" ReadOnly=true runat="server" CssClass="BigInput" MaxLength="100" Width="200px"></asp:TextBox>
                            <input class="BigButton" onclick=" ShowWin('1');" type="button" value="选择跟踪人员" /></TD>
					</TR>
					<TR>
						<TD class="TableData" noWrap>转移客户的新跟踪人员：</TD>
						<TD class="TableData" noWrap>
							<asp:TextBox id="TxtNewName" runat="server" ReadOnly=true CssClass="BigInput" MaxLength="100" Width="200px"></asp:TextBox>
                            <input class="BigButton" onclick="ShowWin('2');" type="button" value="选择跟踪人员" /></TD>
					</TR>
					<TR>
						<TD class="TableControl" noWrap align="center" colSpan="2">
                            &nbsp;&nbsp;<asp:Button ID="BtnUpdate" class="BigButton" OnClientClick="return CheckForm()" runat="server" Text="确定" OnClick="BtnUpdate_Click" Width="90px" /></TD>
					</TR>
				</TABLE>
        <input id="HidOld"  runat=server  type="hidden" /><input runat=server  id="HidNew" type="hidden" />
         <div id="ShowJs" runat="Server"> </div>
    </form>
</body>
</html>
